#!/bin/sh

INDEV="eth0"
OUTDEV="eth0"

IP=$1
echo $IP

##### speed server->client(downstream) 
command="/sbin/tc filter del dev $INDEV parent 1:0 protocol ip prio 1 u32 match ip dst $IP"
echo $command >> shape.out
$command
##### speed client->server(upstream) 
command="/sbin/tc filter del dev $OUTDEV parent 1:0 protocol ip prio 2 u32 match ip src $IP"
echo $command >> shape.out
$command

